Subject: [PATCH v2] replay: drop rev-list formatting options from manual

From: "D. Ben Knoble" <[email-masked]>
Date: Tue, 20 Jan 2026 09:05:57 -0500

The rev-list options in our manuals are quite long; git-replay's manual
is no exception. Since replay doesn't use the formatting options at all
(it has its own output format), drop them.

This is the first time we have needed compound tests [1] for if[n]def in
our documentation:

    git grep '^ifn\?def::' Documentation | grep '[,+]'

[1]: https://docs.asciidoctor.org/asciidoc/latest/directives/ifdef-ifndef/

For both ifdef and ifndef, the "," takes on the intuitive meaning:
- ifdef: if any of the listed attributes are set…
- ifndef: unless any of the listed attributes are set

(Use "+" for "all".)

Signed-off-by: D. Ben Knoble <[email-masked]>
---
 Documentation/git-replay.adoc       | 1 +
 Documentation/rev-list-options.adoc | 4 ++--
 2 files changed, 3 insertions(+), 2 deletions(-)

diff --git a/Documentation/git-replay.adoc b/Documentation/git-replay.adoc
index 4c61f3aa1f..c3b214ec69 100644
--- a/Documentation/git-replay.adoc
+++ b/Documentation/git-replay.adoc
@@ -64,6 +64,7 @@ The default mode can be configured via the `replay.refAction` configuration vari
 	range should have a single tip, so that it's clear to which tip the
 	advanced <branch> should point.
 
+:git-replay: 1
 include::rev-list-options.adoc[]
 
 [[output]]
diff --git a/Documentation/rev-list-options.adoc b/Documentation/rev-list-options.adoc
index 453ec59057..c4d7a6b989 100644
--- a/Documentation/rev-list-options.adoc
+++ b/Documentation/rev-list-options.adoc
@@ -1096,7 +1096,7 @@ endif::git-rev-list[]
 	Overrides a previous `--no-walk`.
 endif::git-shortlog[]
 
-ifndef::git-shortlog[]
+ifndef::git-shortlog,git-replay[]
 Commit Formatting
 ~~~~~~~~~~~~~~~~~
 
@@ -1265,4 +1265,4 @@ ifdef::git-rev-list[]
 	counts and print the count for equivalent commits separated
 	by a tab.
 endif::git-rev-list[]
-endif::git-shortlog[]
+endif::git-shortlog,git-replay[]

Diff-intervalle contre v1 :
1:  01a7acfaf8 ! 1:  97ae3ba465 replay: drop rev-list formatting options from manual
    @@ Commit message
         is no exception. Since replay doesn't use the formatting options at all
         (it has its own output format), drop them.
     
    +    This is the first time we have needed compound tests [1] for if[n]def in
    +    our documentation:
     
    - ## Notes (benknoble/commits) ##
    -    I noticed this while reading. It took me a minute to find the
    -    Asciidoc reference on multiple attributes [1] since it's not used
    -    elsewhere in the rev-list include :) I'm not sure it needs to be
    -    included in the commit message, though normally I would, personally.
    +        git grep '^ifn\?def::' Documentation | grep '[,+]'
     
         [1]: https://docs.asciidoctor.org/asciidoc/latest/directives/ifdef-ifndef/
     
    +    For both ifdef and ifndef, the "," takes on the intuitive meaning:
    +    - ifdef: if any of the listed attributes are set…
    +    - ifndef: unless any of the listed attributes are set
    +
    +    (Use "+" for "all".)
    +
      ## Documentation/git-replay.adoc ##
     @@ Documentation/git-replay.adoc: The default mode can be configured via the `replay.refAction` configuration vari
      	range should have a single tip, so that it's clear to which tip the

base-commit: b5c409c40f1595e3e590760c6f14a16b6683e22c
-- 
2.52.0.rc0.569.g0e1cb519e9.dirty